请选择 进入手机版 | 继续访问电脑版

唐康林NX二次开发论坛

 找回密码
 立即注册
查看: 627|回复: 0

[技术分享] 利用Python在NX中创建圆柱体的方法-唐康林原创

[复制链接]

548

主题

729

帖子

3230

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
3230
发表于 2018-2-5 09:36:09 | 显示全部楼层 |阅读模式
利用Python进行NX二次开发,先创建一个立方体,然后再创建一个圆柱并进行求差操作。
源代码如下:
  1. # NX 10.0.3.5
  2. # by TangKangLin QQ:125317589 2018.02.05

  3. import NXOpen
  4. import NXOpen.UF

  5. def main():
  6.         try:
  7.                 theSession = NXOpen.Session.GetSession()
  8.                 theUfSession = NXOpen.UF.UFSession.GetUFSession()
  9.                 theUI = NXOpen.UI.GetUI()
  10.                
  11.                 #创建立方体
  12.                 cornerPt = [0.0, 0.0, 0.0]
  13.                 edgeLen = ["100.0", "50.0", "25.0"]
  14.                 blockFeatTag = theUfSession.ModlFeatures.CreateBlock1(NXOpen.UF.Modl.FeatureSigns.NULLSIGN, cornerPt, edgeLen)

  15.                 #创建圆柱体并求差
  16.                 featSign = NXOpen.UF.Modl.FeatureSigns.NEGATIVE
  17.                 blockBodyTag = theUfSession.Modeling.AskFeatBody(blockFeatTag)
  18.                 cylOrigin = [50.0, 25.0, 0.0]
  19.                 cylHeight = "40.0"
  20.                 cylDiam = "25.0"
  21.                 cylDirection = [0.0, 0.0, 1.0]
  22.                 cylFeatTag = theUfSession.ModlFeatures.CreateCylinder(featSign, blockBodyTag, cylOrigin, cylHeight, cylDiam, cylDirection)
  23.                        
  24.         except Exception as ex:
  25.                 theUI.NXMessageBox.Show("温馨提示", NXOpen.NXMessageBox.DialogType.Error, str(ex))
  26. if __name__ == '__main__':
  27.     main()
复制代码


回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋| ( 蜀ICP备16014681号

GMT+8, 2018-8-20 01:01 , Processed in 0.080910 second(s), 23 queries .

Powered by www.nxopen.cn

© 2001-2013 nxopen.cn

快速回复 返回顶部 返回列表